{ pkgs, ... }:
pkgs.python.buildPythonPackage rec {
  pname = "tkcalendar";
  version = "1.6.1";

  src = pkgs.fetchFromGitHub {
    owner = "j4321";
    repo = "tkcalendar";
    rev = "v${version}";
    sha256 = "";
  };

  propagatedBuildInputs = [
    pkgs.python310Packages.babel
  ];

  pythonImportsCheck = [ "tkcalendar" ];
}
