let
  # set ssh public keys here for your system and user
  user = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIItTdCyYVur6LzRQf08JZUcEAr23H7fTRRmDJOzoOc6A anish@curve";
  system = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIE4kI2giQrA/VgM/Ao4T+f7npcJ//acKZ5yY+eUuVzbB root@curve";
  mossnet = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIAA0bsVbdQR6iWNLKIiID57A1+dVXC58Dtf5cSXg6/JF root@box";
  lituus = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIH2lAb33LH3JNuOfBXt971u0tHe+NURFecQdfjwEj+C+ root@lituus";
  helix = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIAKrL6IDHNnHmxi0q9nzu87NOyidPm3HpE7klU368lEf root@helix";
  helix2 = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIK2G81z1E51ioJQGLHnTJEjgSdBqLM6mb72Z+0atE6Bf root@helix";
  curve = [ system user ];
  allUserKeys = [ system user mossnet ];
  systemOnly = [ system mossnet lituus helix ];
in
{
  "taskwarrior-private.age".publicKeys = curve;
  "fastmail.age".publicKeys = allUserKeys;
  "mossnet.age".publicKeys = allUserKeys;
  "curve-wg.age".publicKeys = curve;
  "nullhex-smtp.age".publicKeys = systemOnly;
  "borg-password.age".publicKeys = systemOnly;
  "borg-key.age".publicKeys = systemOnly;

  "helix-wg.age".publicKeys = [ helix2 helix ];
  "freshrss-dbpass.age".publicKeys = [ helix2 helix ];
  "woodpecker-server-secrets.age".publicKeys = [ helix2 helix ];
  "gitea-dbpass.age".publicKeys = [ helix helix2 ];

  "synapse-config.age".publicKeys = [ lituus ];
  "synapse-database-password.age".publicKeys = [ lituus ];
  "sealight-mod-password.age".publicKeys = [ lituus ];
  "telegram-matrix-env.age".publicKeys = [ lituus ];

  "wallabag.age".publicKeys = [ mossnet ];
  "woodpecker-agent-secret.age".publicKeys = [ mossnet helix helix2 ];
  "box-wg.age".publicKeys = [ mossnet ];
  "wallabag-password.age".publicKeys = [ mossnet ];
  "wallabag-secret.age".publicKeys = [ mossnet ];
}
